
export CORE_PATH=../../../Core
export GUI_PATH=../../../Gui
export VISIONX_PATH=../..././VisionX
export ARMAR4_PATH=../../../Armar4
export HUMANOIDROBOTAPI_PATH=../../../RobotAPI
export SCRIPT_PATH=$CORE_PATH/build/bin

export CORE_BIN_PATH=$CORE_PATH/build/bin
export GUI_BIN_PATH=$GUI_PATH/build/bin
export VISIONX_BIN_PATH=$VISIONX_PATH/build/bin
export ARMAR4_BIN_PATH=$ARMAR4_PATH/build/bin
export HUMANOIDROBOTAPI_BIN_PATH=$HUMANOIDROBOTAPI_PATH/build/bin

export GLOBAL_CONFIG=./configs/Global.cfg

# armarx components
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/KinematicUnitSimulationRun --Ice.Config=$GLOBAL_CONFIG,./configs/Armar4KinematicUnit.cfg &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/KinematicUnitObserverRun --Ice.Config=$GLOBAL_CONFIG,./configs/Armar4Observer.cfg &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/SystemObserverRun --Ice.Config=$GLOBAL_CONFIG &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/RobotStateComponentRun --Ice.Config=$GLOBAL_CONFIG,./configs/RobotStateComponent.cfg &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/RobotControlRun --Ice.Config=$GLOBAL_CONFIG &


# Gui
#$SCRIPT_PATH/startApplication.sh $GUI_BIN_PATH/ArmarXGuiRun --Ice.Config=$GLOBAL_CONFIG,./configs/ArmarXGui.cfg &

# scenario
#$SCRIPT_PATH/debugApplication.sh $ARMAR4_BIN_PATH/visualservoRun --Ice.Config=$GLOBAL_CONFIG
#$SCRIPT_PATH/startApplication.sh $ARMAR4_BIN_PATH/diffkintestRun --Ice.Config=$GLOBAL_CONFIG &

# vision x components
#$SCRIPT_PATH/startApplication.sh $VISIONX_BIN_PATH/DummyObjectRecognitionRun --Ice.Config=$GLOBAL_CONFIG,./configs/DummyObjectRecognitionConfig.txt &
#$SCRIPT_PATH/startApplication.sh $VISIONX_BIN_PATH/RobotHandLocalizationRun --Ice.Config=$GLOBAL_CONFIG,./configs/RobotHandLocalization.cfg &
#$SCRIPT_PATH/startApplication.sh $VISIONX_BIN_PATH/ObjectMemoryRun --Ice.Config=$GLOBAL_CONFIG,./configs/ObjectMemory.cfg &
#$SCRIPT_PATH/startApplication.sh $VISIONX_BIN_PATH/ObjectMemoryObserverRun --Ice.Config=$GLOBAL_CONFIG,./configs/ObjectMemoryObserver.cfg &

$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/ConditionHandlerRun --Ice.Config=$GLOBAL_CONFIG,./configs/ConditionHandler.cfg &

$SCRIPT_PATH/startApplication.sh $HUMANOIDROBOTAPI_BIN_PATH/MotionControlTestRun --Ice.Config=$GLOBAL_CONFIG,./configs/MotionControlTest.cfg &

