
export CORE_PATH=../../../Core
export GUI_PATH=../../../Gui
export VISIONX_PATH=../..././VisionX
export ARMAR4_PATH=../../../Armar4
export HUMANOIDROBOTAPI_PATH=../../../RobotAPI
export SCRIPT_PATH=$CORE_PATH/build/bin
export SIMULATION_PATH=../../../SimulationX

export CORE_BIN_PATH=$CORE_PATH/build/bin
export GUI_BIN_PATH=$GUI_PATH/build/bin
export VISIONX_BIN_PATH=$VISIONX_PATH/build/bin
export ARMAR4_BIN_PATH=$ARMAR4_PATH/build/bin
export HUMANOIDROBOTAPI_BIN_PATH=$HUMANOIDROBOTAPI_PATH/build/bin

export GLOBAL_CONFIG=./configs/Global.cfg

# armarx components
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/PlatformUnitObserverRun --Ice.Config=$GLOBAL_CONFIG,./configs/PlatformUnitObserver.cfg &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/SystemObserverRun --Ice.Config=$GLOBAL_CONFIG &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/RobotStateComponentRun --Ice.Config=$SIMULATION_PATH/scenarios/SimulatorGui/configs/Armar3KinematicUnit.cfg,./configs/RobotStateComponent.cfg &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/RobotControlRun --Ice.Config=$GLOBAL_CONFIG &
$SCRIPT_PATH/startApplication.sh $CORE_BIN_PATH/ConditionHandlerRun --Ice.Config=$GLOBAL_CONFIG &
$SCRIPT_PATH/startApplication.sh $HUMANOIDROBOTAPI_BIN_PATH/MovePlatformAppRun --Ice.Config=$GLOBAL_CONFIG &
